#!/bin/sh

# ensure we have a /OpenSecurity path
# pointing to our Windows install folder
# inside the cygwin environment

# explicitly set a new PATH here, since
# this script may be called from a 
# non-login shell
PATH=/usr/local/bin:/usr/bin:/bin

# do not set twice
test -h /OpenSecurity && exit 0
OPENSECRUITY_WINDOWS_INSTALL_PATH=$(cygpath "$(cat /proc/mounts | grep 'cygwin64 / ' | sed 's/\/cygwin64 \/.*$//')")
ln -s "$OPENSECRUITY_WINDOWS_INSTALL_PATH" /OpenSecurity

